<!DOCTYPE html>
<html>
<head>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f5f5f5;
        }

        .invoice-wrapper {
            max-width: 500px;
            margin: 0 auto;
            background-color: #ffffff;
            border: 2px solid #ccc;
            border-radius: 5px;
            padding: 20px;
        }

        .invoice-header {
            text-align: center;
            margin-bottom: 20px;
        }

        .invoice-details {
            display: flex;
            flex-wrap: wrap;
            margin-bottom: 20px;
        }

        .invoice-details p {
            margin: 5px 0;
        }

        .invoice-items {
            margin-bottom: 20px;
        }

        .invoice-items table {
            width: 100%;
            border-collapse: collapse;
        }

        .invoice-items th,
        .invoice-items td {
            padding: 10px;
            border-bottom: 1px solid #ddd;
            text-align: left;
        }

        .invoice-items th {
            background-color: #f2f2f2;
        }

        .total-amount {
            text-align: right;
            margin-top: 20px;
            font-weight: bold;
            font-size: 18px;
            color: #333;
        }
    </style>
</head>
<body>
    <div class="invoice-wrapper">
        <h1 class="invoice-header">Receipt</h1>
        <div class="invoice-details">
            <p>Receipt #: {{ order.order_representation_id }}</p>
            <p>Date: {{ order.created_at }}</p>
            <p>Customer: CUSTOMER_NAME</p>
            <p>Email: {{ order.user_email }}</p>
        </div>
        <div class="invoice-items">
            <table>
                <thead>
                    <tr>
                        <th>Description</th>
                        <th>Quantity</th>
                        <th>Amount</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Loop over invoice items -->
                    
                    <tr>
                        <td>{{ order.discussion.topic }}</td>
                        <td>1</td>
                        <td>{{ order.charge.amount_captured }}</td>
                    </tr>
                    
                </tbody>
            </table>
        </div>
        <p class="total-amount">Total Amount: {{ order.charge.amount_captured }}</p>
    </div>
</body>
</html>
